image: docker:latest
services:
- docker:dind

stages:
- build
- deploy

variables:
  VERSION: "1.0"

ng-config:
  stage: build
  image: docker:latest
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/affiliatelk/platform/nginx-base-config/ng/config:$VERSION -f ng-config.df .
    - docker tag registry.gitlab.com/affiliatelk/platform/nginx-base-config/ng/config:$VERSION registry.gitlab.com/affiliatelk/platform/nginx-base-config/ng/config:latest
    - docker push registry.gitlab.com/affiliatelk/platform/nginx-base-config/ng/config:$VERSION
    - docker push registry.gitlab.com/affiliatelk/platform/nginx-base-config/ng/config:latest

npcg-config:
  stage: build
  image: docker:latest
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/affiliatelk/platform/nginx-base-config/npcg/config:$VERSION -f npcg-config.df .
    - docker tag registry.gitlab.com/affiliatelk/platform/nginx-base-config/npcg/config:$VERSION registry.gitlab.com/affiliatelk/platform/nginx-base-config/npcg/config:latest
    - docker push registry.gitlab.com/affiliatelk/platform/nginx-base-config/npcg/config:$VERSION
    - docker push registry.gitlab.com/affiliatelk/platform/nginx-base-config/npcg/config:latest

trigger-rebuild:
  stage: deploy
  image: ubuntu:xenial
  script:
    - apt-get update
    - apt-get install -y curl
    - curl --request POST --form "token=$TRIGGER_TOKEN" --form ref=master https://gitlab.com/api/v4/projects/3706097/trigger/pipeline